Bug 55891 - Not all the pci bar registers are scanned
Summary: Not all the pci bar registers are scanned
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: PCI   
(Show other bugs)
Version: CVS
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jesper Skov
QA Contact: Jesper Skov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-08 13:34 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:05:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-08 13:34:27 UTC
Description of Problem:
in the function cyg_pci_get_device_info the probe function stops when an 
inactive bar is found. This is not right. It free to choose any of the 
BAR's to use in the hardware so all 6 BARS have to be scanned. (see PCI-
spec Revision 2.2 page 204)
Problem can be solved by deleting the next lines in both paths of the if 
then else construction:

	    // No reason to scan beyond first inactive BAR.
	    if (size == 0) {
		dev_info->num_bars = i;
		break;
	    }

Version-Release number of selected component (if applicable):
CVS

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Alex Schuilenburg 2003-06-20 16:05:05 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=55891


Note You need to log in before you can comment on or make changes to this bug.